SOTRUSS(1)

NAVN
sotruss - registrer delte bibliotekskald via PLT

SYNOPSIS
sotruss [TILVALG...] [--] KØRBAR_FIL [KØRBAR_FIL-TILVALG...]

BESKRIVELSE
sotruss er et lille omslag omkring ld.so, der afvikler den angivne kørbar_fil indtil den afsluttes. Omslaget fortolker og laver en registrering af de dynamiske bibliotekskald, der kaldes af den afviklede proces via Procedure Linkage Table (PLT). Der registreres kalder (caller), kaldningen (calle) og parametere efterhånden som hvert kald afvikles.

TILVALG

-F, --from FRALISTE
    Registrer kald fra objekter på FRALISTE.

-T, --to TILLISTE
    Registrer kald til objekter på TILLISTE.

-e, --exit
    Vis også afslutninger fra funktionskaldene.

-f, --follow
    Registrer underprocesser som de oprettes af registrerede processer som et resultat af fork(2)-systemkaldene.

-o, --output FILNAVN
    Skriv resultatet til FILNAVN (eller FILNAVN. i tilfælde af at -f også bruges) i stedet for standardfejl.

-?, --help
    Vis denne hjælpeliste

--usage
    Vis en kort brugsbesked

--version
    Vis programversion

FORFATTER
Skrevet af Ulrich Drepper.

OPHAVSRET
Ophavsret © 2013 Free Software Foundation, Inc.
Dette er et frit program; se kildeteksten for kopieringsbetingelser. Der er INGEN garanti; ikke engang for SALGBARHED eller EGNETHED FOR ET BESTEMT FORMÅL.

SE OGSÅ
ld.so(8).

OVERSÆTTELSE
Oversættere af denne manual til dansk Joe Hansen <joedalton2@yahoo.dk>

Denne oversættelse er gratis dokumentation; læs GNU General Public License version 3 (https://www.gnu.org/licenses/gpl-3.0.html) eller nyere for ophavsretbetingelser. Der er INGEN ANSVAR.

Hvis du støder på fejl i oversættelsen af ​​denne vejledning, skal du sende en besked til debian-l10n-danish@lists.debian.org.